fateback.com - shtml sent as text/plain

RESOLVED FIXED

Status

P3
major
RESOLVED FIXED
17 years ago
4 years ago

People

(Reporter: robb, Unassigned)

Tracking

Details

(Whiteboard: [MIME-shtml], URL)

(Reporter)

Description

17 years ago
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9.7+) Gecko/20020107
BuildID:    2002010703

This page has a text/css display in the header, and the page won't display at
all. The page shows up with only the raw HTML code. The page renders properly in
both IE6 and Opera 6. 

Reproducible: Always
Steps to Reproduce:
1. go to http://allestacia.fateback.com/index.shtml

Actual Results:  The page displays raw HTML code, instead of a properly rendered
page.

Expected Results:  Getting a rendered webpage.

Comment 1

17 years ago
The server is sending the page as type text/plain.  IE and Opera will look for
the <html> tag and render a page as HTML anyway, but Netscape 4.x and Mozilla
don't.  I think there's been some discussion about this before, but I can't find
the proper bug for it.

Suggest this should be evangelism in any case.  The site's operator should make
sure their server is sending the proper MIME type for HTML files.

Comment 2

17 years ago
Confirming issue when loading sample url. However, file is correctly rendered
when it's on a local drive. Tested under OS X (2002-01-07-09) and Windows ME
(2002-01-07-03) builds.
Status: UNCONFIRMED → NEW
Ever confirmed: true
->Tech Evangelism
Component: Layout → US General
Product: Browser → Tech Evangelism
Version: other → unspecified
.
Assignee: attinasi → doronr
QA Contact: petersen → zach
Summary: Possible CSS tag rendering problem → fateback.com - Possible CSS tag rendering problem
Whiteboard: [MIMETYPE]

Comment 5

16 years ago
Probable contact address is president@fateback.com

[Frankie:~] fuy% curl -I http://allestacia.fateback.com/index.shtml
HTTP/1.1 200 OK
Server: thttpd/2.21 20apr2001
Content-Type: text/plain; charset=iso-8859-1
Date: Sun, 23 Mar 2003 15:04:33 GMT
Last-Modified: Fri, 01 Feb 2002 22:05:24 GMT
Accept-Ranges: bytes
Connection: close
Content-Length: 14273

[Frankie:~] fuy% curl -I http://allestacia.fateback.com/index.htm
HTTP/1.1 200 OK
Server: thttpd/2.21 20apr2001
Content-Type: text/html
Date: Sun, 23 Mar 2003 15:06:08 GMT
Last-Modified: Wed, 24 Oct 2001 16:45:26 GMT
Accept-Ranges: bytes
Connection: close
Content-Length: 3911

[Frankie:~] fuy% curl -I http://allestacia.fateback.com/
HTTP/1.1 200 OK
Server: thttpd/2.21 20apr2001
Content-Type: text/html
Date: Sun, 23 Mar 2003 15:06:16 GMT
Last-Modified: Wed, 24 Oct 2001 16:45:26 GMT
Accept-Ranges: bytes
Connection: close
Content-Length: 3911
Severity: normal → major
OS: Windows 98 → All
Priority: -- → P3
Hardware: PC → All
Summary: fateback.com - Possible CSS tag rendering problem → fateback.com - shtml sent as text/plain
Whiteboard: [MIMETYPE] → [MIME-shtml]

Comment 6

16 years ago
tech evang june 2003 reorg
Assignee: doron → english-us
QA Contact: zach → english-us

Comment 7

16 years ago
Contacted webmaster, .shtml now sends as text/html

Fixed

Comment 8

16 years ago
Thanks Bill! I can confirm and verify!
Status: NEW → RESOLVED
Last Resolved: 16 years ago
Resolution: --- → FIXED
Product: Tech Evangelism → Tech Evangelism Graveyard
You need to log in before you can comment on or make changes to this bug.